function love.load()
require "cavity2"
love.graphics.setPointStyle("rough")
ps = 5
love.graphics.setPointSize(ps)
ofx = 0
ofy = 0
sx,sy = love.window.getMode()

genfunc = function(a) return 1 end
lim = 0
start = -1
wallseed = 50

coinabs = 0

-- make a map
level = cavity.makemap(sx/ps,sy/ps, 60) --Arguments: width, height, lowest percentage of open space, amount of initial wall(44 or nil works best), random seed, growing iterations, smoothing iterations


--spinkle some new tiles on the map
perc = 5 --% of all free space shall be coin
probability = cavity.roomcount*(perc/100)
coincount,cavity.roomcount= cavity.sprinkle(level,cavity.space,"coin",sx/ps,sy/ps,probability,cavity.roomcount)


perc = 5 --% of all wall shall be dirty
probability = cavity.wallcount*(perc/100)
dirtcount,cavity.wallcount = cavity.sprinkle(level,cavity.wall,"dirty",sx/ps,sy/ps,probability,cavity.wallcount)
end

function love.update(dt)
end


function love.draw()
local lg = love.graphics
lg.setColor(255,255,255)
	for i,j in pairs(level) do
		for k,l in pairs(level[i]) do
			if level[i][k] == cavity.wall then
			lg.setColor(50,50,50)
			elseif level[i][k] == cavity.space then
			lg.setColor(200,200,200)
			elseif level[i][k] == "coin" then lg.setColor(255,255,0)
			elseif level[i][k] == "dirty" then lg.setColor(5,5,5) else lg.setColor(255,255,255)end
			lg.point(k*ps+ofx+0.5,i*ps+ofy+0.5)
		end

	end
end

function love.keypressed(k)
if k == "return" then
level = cavity.makemap(sx/ps,sy/ps,15,wallseed, nil, nil, nil, genfunc,start,lim)
seed = cavity.seed
print("Made new level, seed: "..seed)
end
if k == " " then
perc = 10 --% of all free space shall be coin
probability = cavity.roomcount*(perc/100)
coincount,cavity.roomcount = cavity.sprinkle(level,cavity.space,"coin",sx/ps,sy/ps,probability,cavity.roomcount)
coinabs = coinabs + coincount


perc = 5 --% of all wall shall be dirty
probability = cavity.wallcount*(perc/100)
dirtcount,cavity.wallcount = cavity.sprinkle(level,cavity.wall,"dirty",sx/ps,sy/ps,probability,cavity.wallcount)
end
end
